Test Run
Get test run
Get a test run document by its document reference using the GET_TMT_DOCUMENT operation.
Authorizations:
Request Body schema: application/jsonrequired
| id required | string id of the operation |
| jsonrpc required | string must be 2.0 |
| method required | string GET_TMT_DOCUMENT |
required | object |
Responses
Request samples
- Payload
{- "id": "GET_TMT_DOCUMENT-1",
- "method": "GET_TMT_DOCUMENT",
- "jsonrpc": "2.0",
- "params": {
- "docRef": "TestRun-dm/f90f07d9-af24-4cf9-b8ab-26c808d2876a"
}
}Response samples
- 200
{- "jsonrpc": "2.0",
- "id": "GET_TMT_DOCUMENT-1",
- "result": {
- "docRef": "TestRun-dm/f90f07d9-af24-4cf9-b8ab-26c808d2876a",
- "documentModelName": "TestRun-dm",
- "document": {
- "Root": {
- "General": {
- "Id": "R_24",
- "ProjectId": "P_6",
- "ProjectVersionNumber": "5.0.0",
- "Status": "inProgress",
- "SubprojectId": "_",
- "TechnicalId": "11d8382a-710e-4a54-af9a-f08af587a0af",
- "TenantId": "T_1",
- "Title": "Test run #1"
}, - "Metadata": {
- "CreatedBy": "tmtdev",
- "CreatedOn": 1776155913699,
- "DisplayCreatedOn": "2026-04-14T08:38:33",
- "DisplayEditedOn": "2026-05-07T04:20:16",
- "EditedBy": "tmtdoc",
- "EditedOn": 1778127616706
}
}, - "__meta": {
- "createdAt": "2026-04-14T08:38:33",
- "creator": "SYSTEM",
- "docRef": "TestRun-dm/f90f07d9-af24-4cf9-b8ab-26c808d2876a",
- "modelReference": "TestRun-dm",
- "modelVersion": null,
- "modifiedAt": "2026-05-07T04:20:16",
- "modifier": "tmtdoc"
}
}
}
}List test run documents
List test run documents for given search criteria.
Authorizations:
header Parameters
| Project-Id required | string Project Id or the project document reference |
| Subproject-Id | string Sub Project Id or the project document reference. It might be required if you want to access the sub project's resource |
Request Body schema: application/jsonrequired
| id required | string id of the operation |
| jsonrpc required | string must be 2.0 |
| method required | string QUERY |
required | object |
Responses
Request samples
- Payload
{- "id": "string",
- "jsonrpc": "2.0",
- "method": "string",
- "params": {
- "query": null
}
}Response samples
- 200
{- "jsonrpc": "string",
- "id": "string",
- "result": {
- "fullSize": 0,
- "page": {
- "pageNumber": 0,
- "pageSize": 0
}, - "entries": [
- {
- "docRef": "string",
- "document": { },
- "type": "string",
- "depth": 0,
- "documentModelName": "string"
}
], - "links": [
- { }
], - "otherResults": { }
}
}Create a test run
Create a new test run
Authorizations:
header Parameters
| Project-Id required | string Project Id or the project document reference |
| Subproject-Id | string Sub Project Id or the project document reference. It might be required if you want to access the sub project's resource |
Request Body schema: application/jsonrequired
| id required | string id of the operation |
| jsonrpc required | string must be 2.0 |
| method required | string ADD_DOCUMENT |
required | object |
Responses
Request samples
- Payload
{- "id": "ADD_TEST_RUN",
- "method": "ADD_DOCUMENT",
- "params": {
- "document": {
- "Root": {
- "General": {
- "ProjectId": "P_9",
- "ProjectVersionNumber": "1.2.0",
- "SubprojectId": "SP_1",
- "Status": "active",
- "Title": "Performance test",
- "Configuration": "qftest",
- "Description": "Test the app performance around the order's actions"
}, - "Attachments": [
- {
- "FileName": "bapserver-metrix-snapshot 10.55.51.png",
- "File": {
- "content": null,
- "attachment_id": "d3e5dbda-603f-478d-9b1f-c0c5f10ff776",
- "internal_filename": "1731463781565-0886b4f1-f863-473c-9e3d-0aba8cf06158.png",
- "original_filename": "bapserver-metrix-snapshot 10.55.51.png",
- "size": 635194,
- "mime_type": "image/png"
}, - "CreatedAt": "2024-11-13T02:09:45",
- "UploadOn": "2024-11-13",
- "OriginalFileName": "bapserver-metrix-snapshot 10.55.51.png",
- "UploadBy": "trung",
- "Referenced": false,
- "CopyNumber": 0,
- "ThumbnailId": "74303fd3-a9e7-498d-bd71-83c05ecdaad6"
}
]
}
}, - "documentModelName": "TestRun-dm",
- "locale": "en"
}
}Response samples
- 200
{- "jsonrpc": "2.0",
- "id": "ADD_TEST_RUN",
- "result": {
- "docRef": "TestRun-dm/3b53beea-a611-462c-9553-703c4df4d669"
}
}Update test run
Update test run content
Authorizations:
header Parameters
| Project-Id required | string Project Id or the project document reference |
| Subproject-Id | string Sub Project Id or the project document reference. It might be required if you want to access the sub project's resource |
Request Body schema: application/jsonrequired
| id required | string id of the operation |
| jsonrpc required | string must be 2.0 |
| method required | string MODIFY_DOCUMENT |
required | object |
Responses
Request samples
- Payload
{- "id": "MODIFY_TEST_RUN",
- "method": "MODIFY_DOCUMENT",
- "params": {
- "document": {
- "Root": {
- "General": {
- "ProjectId": "P_9",
- "ProjectVersionNumber": "1.2.0",
- "SubprojectId": "SP_1",
- "Status": "active",
- "Title": "Performance test",
- "Configuration": "qftest, chrome",
- "Description": "Test the app performance around the order's actions",
- "TenantId": "T_1",
- "TechnicalId": "19612ea0-bd5d-49da-9004-32f54d63645a",
- "Id": "R_4"
}, - "Metadata": {
- "CreatedBy": "trung",
- "DisplayCreatedOn": "2024-11-13T02:09:50",
- "CreatedOn": 1731463790165,
- "EditedBy": "trung",
- "DisplayEditedOn": "2024-11-13T02:09:50",
- "EditedOn": 1731463790165
}, - "Attachments": [
- {
- "FileName": "bapserver-metrix-snapshot 10.55.51.png",
- "CreatedAt": "2024-11-13T02:09:45",
- "UploadOn": "2024-11-13",
- "OriginalFileName": "bapserver-metrix-snapshot 10.55.51.png",
- "UploadBy": "trung",
- "Referenced": false,
- "CopyNumber": 0,
- "ThumbnailId": "74303fd3-a9e7-498d-bd71-83c05ecdaad6",
- "File": {
- "content": null,
- "attachment_id": "d3e5dbda-603f-478d-9b1f-c0c5f10ff776",
- "internal_filename": "1731463781565-0886b4f1-f863-473c-9e3d-0aba8cf06158.png",
- "original_filename": "bapserver-metrix-snapshot 10.55.51.png",
- "size": 635194,
- "mime_type": "image/png"
}
}
]
}, - "__meta": {
- "creator": "trung",
- "modifier": "trung",
- "createdAt": "2024-11-13T02:09:50",
- "modifiedAt": "2024-11-13T02:09:50",
- "modelReference": "TestRun-dm",
- "docRef": "TestRun-dm/3b53beea-a611-462c-9553-703c4df4d669",
- "modelVersion": null
}
}, - "locale": "en",
- "docRef": "TestRun-dm/3b53beea-a611-462c-9553-703c4df4d669"
}
}Response samples
- 200
{- "jsonrpc": "2.0",
- "id": "MODIFY_TEST_RUN",
- "result": null
}Delete a test run
It is only possible to delete an empty run. For non empty test run, you must remove its test suites first, which can be done by calling DELETE_SUITE_FROM_RUN operation
Authorizations:
header Parameters
| Project-Id required | string Project Id or the project document reference |
| Subproject-Id | string Sub Project Id or the project document reference. It might be required if you want to access the sub project's resource |
Request Body schema: application/jsonrequired
| id required | string id of the operation |
| jsonrpc required | string must be 2.0 |
| method required | string DELETE_TEST_RUN |
required | object |
Responses
Request samples
- Payload
{- "id": "DELETE_TEST_RUN_TestRun-dm/11825df5-4460-479d-a282-e996d804b571",
- "jsonrpc": "2.0",
- "method": "DELETE_TEST_RUN",
- "params": {
- "testRunDocRef": "TestRun-dm/11825df5-4460-479d-a282-e996d804b571"
}
}Response samples
- 200
{- "jsonrpc": "2.0",
- "id": "DELETE_TEST_RUN_TestRun-dm/11825df5-4460-479d-a282-e996d804b571",
- "result": true
}Check a run is empty
Check a run is empty or not. You should call this endpoint before deleting a test run.
Authorizations:
header Parameters
| Project-Id required | string Project Id or the project document reference |
| Subproject-Id | string Sub Project Id or the project document reference. It might be required if you want to access the sub project's resource |
Request Body schema: application/jsonrequired
| id required | string id of the operation |
| jsonrpc required | string must be 2.0 |
| method required | string CHECK_TEST_RUN_EMPTY |
required | object |
Responses
Request samples
- Payload
{- "id": "CHECK_TEST_RUN_EMPTY_6f1f3601-88bb-47e0-b4b5-42f4ff3596be",
- "jsonrpc": "2.0",
- "method": "CHECK_TEST_RUN_EMPTY",
- "params": {
- "testRunDocRef": "TestRun-dm/3b53beea-a611-462c-9553-703c4df4d669"
}
}Response samples
- 200
{- "jsonrpc": "2.0",
- "id": "DELETE_TEST_RUN_TestRun-dm/11825df5-4460-479d-a282-e996d804b571",
- "result": true
}Get available test suites to add to run
List all suites that are available to add into Run, which excludes the suites already in Run. This is not applicable for closed run
Authorizations:
header Parameters
| Project-Id required | string Project Id or the project document reference |
| Subproject-Id | string Sub Project Id or the project document reference. It might be required if you want to access the sub project's resource |
Request Body schema: application/jsonrequired
| id required | string id of the operation |
| jsonrpc required | string must be 2.0 |
| method | string GET_AVAILABLE_TEST_SUITES |
object |
Responses
Request samples
- Payload
{- "jsonrpc": "2.0",
- "id": "GET_AVAILABLE_TEST_SUITES_fa070684-48b0-48c3-83bc-980403b28513",
- "method": "GET_AVAILABLE_TEST_SUITES",
- "params": {
- "testRunDocRef": "TestRun-dm/f90f07d9-af24-4cf9-b8ab-26c808d2876a",
- "query": {
- "targetDocumentModel": "TestSuite-dm",
- "projectionName": "document",
- "constraint": null,
- "sort": [
- {
- "field": "/Root/General/Order",
- "direction": "ASC",
- "nullHandling": "NULLS_LAST",
- "ignoreCase": true
}
], - "paging": {
- "pageNumber": 0,
- "pageSize": 50
}
}
}
}Response samples
- 200
{- "jsonrpc": "2.0",
- "id": "GET_AVAILABLE_TEST_SUITES_fa070684-48b0-48c3-83bc-980403b28513",
- "result": {
- "fullSize": 5,
- "page": {
- "pageNumber": 0,
- "pageSize": 50
}, - "entries": [
- {
- "docRef": "TestSuite-dm/5a6e558b-9f66-491f-9dce-95cc170d4d4b",
- "documentModelName": "TestSuite-dm",
- "document": {
- "Root": {
- "General": {
- "Id": "S_21",
- "ProjectId": "P_6",
- "ProjectVersionNumber": "5.0.0",
- "SubprojectId": "_",
- "Tags": "",
- "TenantId": "T_1",
- "Title": "1",
- "RecommendedPriority": {
- "Value": "MEDIUM"
}
}, - "Metadata": {
- "IsFrozenByClosedVersion": false
}, - "DisplayFields": {
- "TotalTestCases": 0
}
}, - "__meta": {
- "docRef": "TestSuite-dm/5a6e558b-9f66-491f-9dce-95cc170d4d4b"
}
}
}, - {
- "docRef": "TestSuite-dm/80c16135-046c-4eb1-a821-6362683b4a70",
- "documentModelName": "TestSuite-dm",
- "document": {
- "Root": {
- "General": {
- "Id": "S_20",
- "ProjectId": "P_6",
- "ProjectVersionNumber": "5.0.0",
- "SubprojectId": "_",
- "Tags": "",
- "TenantId": "T_1",
- "Title": "1",
- "RecommendedPriority": {
- "Value": "MEDIUM"
}
}, - "Metadata": {
- "IsFrozenByClosedVersion": false
}, - "DisplayFields": {
- "TotalTestCases": 0
}
}, - "__meta": {
- "docRef": "TestSuite-dm/80c16135-046c-4eb1-a821-6362683b4a70"
}
}
}, - {
- "docRef": "TestSuite-dm/3bebee20-fa5c-455e-b965-9c99699f8d73",
- "documentModelName": "TestSuite-dm",
- "document": {
- "Root": {
- "General": {
- "Id": "S_19",
- "ProjectId": "P_6",
- "ProjectVersionNumber": "5.0.0",
- "SubprojectId": "_",
- "Tags": "",
- "TenantId": "T_1",
- "Title": "1",
- "RecommendedPriority": {
- "Value": "MEDIUM"
}
}, - "Metadata": {
- "IsFrozenByClosedVersion": false
}, - "DisplayFields": {
- "TotalTestCases": 0
}
}, - "__meta": {
- "docRef": "TestSuite-dm/3bebee20-fa5c-455e-b965-9c99699f8d73"
}
}
}, - {
- "docRef": "TestSuite-dm/e0a40b91-d3ba-4e96-b16e-6f50ea635774",
- "documentModelName": "TestSuite-dm",
- "document": {
- "Root": {
- "General": {
- "Id": "S_18",
- "ProjectId": "P_6",
- "ProjectVersionNumber": "5.0.0",
- "SubprojectId": "_",
- "Tags": "",
- "TenantId": "T_1",
- "Title": "1",
- "RecommendedPriority": {
- "Value": "MEDIUM"
}
}, - "Metadata": {
- "IsFrozenByClosedVersion": false
}, - "DisplayFields": {
- "TotalTestCases": 0
}
}, - "__meta": {
- "docRef": "TestSuite-dm/e0a40b91-d3ba-4e96-b16e-6f50ea635774"
}
}
}, - {
- "docRef": "TestSuite-dm/c7c50f56-f266-4cf8-8f87-1905fff404e8",
- "documentModelName": "TestSuite-dm",
- "document": {
- "Root": {
- "General": {
- "Id": "S_17",
- "ProjectId": "P_6",
- "ProjectVersionNumber": "5.0.0",
- "SubprojectId": "_",
- "Tags": "",
- "TenantId": "T_1",
- "Title": "1",
- "RecommendedPriority": {
- "Value": "MEDIUM"
}
}, - "Metadata": {
- "IsFrozenByClosedVersion": false
}, - "DisplayFields": {
- "TotalTestCases": 0
}
}, - "__meta": {
- "docRef": "TestSuite-dm/c7c50f56-f266-4cf8-8f87-1905fff404e8"
}
}
}
], - "links": null,
- "otherResults": null
}
}Add test suites to open run
Add available test suites to an open run
Authorizations:
header Parameters
| Project-Id required | string Project Id or the project document reference |
| Subproject-Id | string Sub Project Id or the project document reference. It might be required if you want to access the sub project's resource |
Request Body schema: application/jsonrequired
| id required | string id of the operation |
| jsonrpc required | string must be 2.0 |
| method required | string ADD_TEST_SUITES_TO_RUN |
required | object |
Responses
Request samples
- Payload
{- "id": "ADD_TEST_SUITES_TO_RUN_1",
- "method": "ADD_TEST_SUITES_TO_RUN",
- "params": {
- "testRunDocRef": "TestRun-dm/3b53beea-a611-462c-9553-703c4df4d669",
- "testSuiteDocRefs": [
- "TestSuite-dm/20740",
- "TestSuite-dm/20742"
]
}
}Response samples
- 200
{- "jsonrpc": "string",
- "id": "string",
- "result": [
- {
- "linkDescriptor": {
- "relationshipModel": "string",
- "entities": [
- {
- "role": "string",
- "modelName": "string",
- "docRef": "string"
}
], - "predecessorLinkRef": "string",
- "position": 0
}, - "id": "string"
}
]
}Delete test suites from open run
Delete the test suites from an open run. This is not applicable to closed run
Authorizations:
header Parameters
| Project-Id required | string Project Id or the project document reference |
| Subproject-Id | string Sub Project Id or the project document reference. It might be required if you want to access the sub project's resource |
Request Body schema: application/jsonrequired
| id required | string id of the operation |
| jsonrpc required | string must be 2.0 |
| method required | string DELETE_TEST_SUITES_FROM_RUN |
required | object |
Responses
Request samples
- Payload
{- "id": "DELETE_TEST_SUITES_FROM_RUN_1",
- "method": "DELETE_TEST_SUITES_FROM_RUN",
- "params": {
- "testRunDocRef": "TestRun-dm/3b53beea-a611-462c-9553-703c4df4d669",
- "testSuiteDocRefs": [
- "TestSuite-dm/20740",
- "TestSuite-dm/20742"
]
}
}Response samples
- 200
{- "jsonrpc": "2.0",
- "id": "DELETE_TEST_SUITES_FROM_RUN_1",
- "result": null
}